function [P I opt] = experiment_design_multilevel(l,m,F)
 
 scaI = 10^-5;
 %scaI = 1;

%% LMI CONSTANTS

if length(F) ~= l^m
    error('length(F) wrong');
end
p = length(F{1});
cvx_begin sdp;
    cvx_precision('medium')
    cvx_solver sdpt3
    variable P(l^m,1);
    I = zeros(p,p);
    for j=1:length(F)
        P(j) >= 0; % 0.1/(m^n);
        I = I + F{j}*P(j); % 10^-5 scaling
    end
    %% probability distribution %%
    sum(P) == 1;
    %% stationariety %%
    for j=0:(l^(m-1)-1)
        C1 = 0;
        C2 = 0;
        for h=0:(l-1)
            C1 = C1 + P(j + h*l^(m-1) + 1);
            C2 = C2 + P(l*j + 1 + h);
        end
        C1 == C2;
    end
    I = I*scaI;
    maximize(log_det(I))
cvx_end
opt = cvx_optval;
I = I/scaI;
end